%define evo_version 2.23.1
%define eds_version 2.23.1
%define glib_version 2.8.1

%define evo_api_version 2.26
%define eds_api_version 1.2

### Abstract ###

Name: evolution-zimbra
Version: 0.1.1
Release: 6%{?dist}
License: Public Domain
Group: System Environment/Libraries
Summary: Zimbra Connector for Evolution
URL: http://sourceforge.net/projects/zimbraevo/
Source: http://downloads.sourceforge.net/zimbraevo/evolution-zimbra-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

### Patches ###

# Fix a boo boo in the released tarball.
Patch1: evolution-zimbra-0.1.1-fix-build.patch

### Build Dependencies ###

BuildRequires: curl-devel
BuildRequires: evolution-devel >= %{evo_version}
BuildRequires: evolution-data-server-devel >= %{eds_version}
BuildRequires: gettext
BuildRequires: glib2-devel >= %{glib_version}
BuildRequires: perl-XML-Parser

%description
Zimbra Connector provides access to Zimbra servers through Evolution.

%prep
%setup -q
%patch1 -p1 -b .fix-build

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/libezimbra/*
%{_libdir}/evolution/%{evo_api_version}/plugins/*
%{_libdir}/evolution-data-server-%{eds_api_version}/camel-providers/*
%{_libdir}/evolution-data-server-%{eds_api_version}/extensions/*

%changelog
* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 04 2009 Caolán McNamara <caolanm@redhat.com> - 0.1.1-5
- rebuild for dependencies

* Sat Nov 29 2008 Caolán McNamara <caolanm@redhat.com> - 0.1.1-4
- rebuild for dependencies

* Thu Oct 23 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.1.1-3
- Rebuild for new camel library from e-d-s

* Tue Aug 12 2008 Matthew Barnes <mbarnes@redhat.com> - 0.1.1-2
- Rebuild against newer Camel library.

* Thu Jun 05 2008 Matthew Barnes <mbarnes@redhat.com> - 0.1.1-1
- Update to 0.1.1
- Remove upstreamed patch.
- Require evo/eds >= 2.23.1.

* Mon Mar 17 2008 Matthew Barnes <mbarnes@redhat.com> - 0.1.0-6.fc9
- Chain up in dispose() and finalize() methods.

* Sat Feb 09 2008 Matthew Barnes <mbarnes@redhat.com> - 0.1.0-5.fc9
- Rebuild with GCC 4.3

* Mon Jan 28 2008 Matthew Barnes <mbarnes@redhat.com> - 0.1.0-4.fc9
- Rebuild against newer Camel library.

* Tue Jan 15 2008 Matthew Barnes <mbarnes@redhat.com> - 0.1.0-3.fc9
- Version 0.1.0 released upstream.
- Update source tag with full URL.

* Tue Dec 11 2007 Matthew Barnes <mbarnes@redhat.com> - 0.1.0-2.fc9
- Add missing build requirements.
- Rebase to Subversion revision 3.

* Thu Dec 06 2007 Matthew Barnes <mbarnes@redhat.com> - 0.1.0-1.fc9
- Initial packaging for Fedora 9.
